# Generated by Django 2.1.7 on 2019-05-07 16:00

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import lingua.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0005_auto_20190506_0915'),
    ]

    operations = [
        migrations.CreateModel(
            name='Query',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('statements', django.contrib.postgres.fields.jsonb.JSONField()),
                ('name', lingua.fields.LinguaField(verbose_name='query_name')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='angled_query', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
